Complete full dataset imports to VegBIEN via VegX of NYBG and SALVIAS
12/15/2011 03:41 PM - Aaron Marcuse-Kubitza

Status: Resolved Start date: 12/15/2011
Priority: Normal Due date:

Assignee: Aaron Marcuse-Kubitza % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Activity type:

Description

¢ |dentify and make changes to VegX needed to enable full-dataset imports

¢ Or report changes needed to Nick, Miquel and Martin and have them make changes

¢ Even if you make changes yourself, but sure to report to Nick et al. so these changes change be incorporated to the draft
schema on TDWG

History

#1 - 01/04/2012 04:57 PM - Aaron Marcuse-Kubitza
- % Done changed from 0 to 50

Core SALVIAS data (plots and organisms) are on vegbiendev in VegBIEN.

Takes overnight to reinsert organisms data when schema changes.

Some input data is not in the correct format for the VegBIEN db, so additional conversion functions will need to be added to get the rows that had
errors.

#2 - 01/05/2012 11:24 AM - Aaron Marcuse-Kubitza

| loaded the SALVIAS data (plots and organisms) into VegBIEN on vegbiendev. To browse the data, follow the phpPgAdmin instructions on the wiki.
(The instructions contain a few sample queries you can run.)

You can also view the validation results by running the following on vegbiendev:
make verify --directory=/home/bien/svn/inputs/SALVIAS/
The validation results highlight areas where the imported data differs from the input data, which can be used to find potential bugs.

Note that the vegbien db now contains some of the modifications Bob Peet made to the VegBank schema for VegBIEN, so some table names will be
different to those familiar with VegBank.

#3 - 02/09/2012 05:31 PM - Aaron Marcuse-Kubitza
- % Done changed from 50 to 80

First full NYBG load is complete, with 0.12% error rate. Full stats under Benchmarking.

#4 - 04/02/2012 10:46 AM - Aaron Marcuse-Kubitza
- Status changed from New to Resolved

- % Done changed from 80 to 100
https://projects.nceas.ucsb.edu/nceas/projects/bien/wiki/PhpPgAdmin
https://projects.nceas.ucsb.edu/nceas/projects/bien/wiki/Benchmarking
